export const Marks = ({
  yScale,
  xScale,
  data,
  selectColor,
  xValue,
  yValue,
  tooltipFormat,
  circleRadius
}) =>
  data.map((d) => (
    <circle
      className="circle"
      cx={xScale(xValue(d))}
      cy={yScale(yValue(d))}
      r={circleRadius}
      fill={selectColor()}
    >
      <title>{tooltipFormat(xValue(d))}</title>
    </circle>
  ));
